Subject: Active packages should be saved in a configuration file

Description

To activate and deactivate packages, a list of active packages must be saved.

This should be done by providing writeback support for the YAML configuration source and dedicated methods for the package states
in the configuration manager.

Associated revisions

Revision b3640f4d - 2009-06-10 10:21 - Christopher Hlubek

[M] FLOWS: Packages.yaml configuration renamed to Package.yaml, configuration in single package is no longer indexed with package key

[FEAT] FLOWS3 (Configuration): Package state configuration will be handled by a special writable configuration source, resolves #3639

[FEAT] FLOWS3 (Package): Active packages will be read from the package states configuration and activation / deactivation updates the configuration,
resolves #3639

[FIX] FLOWS3 (Configuration): Fixed YAMLSource saving with comment headers

Revision 1820cdc9 - 2009-06-10 10:21 - Christopher Hlubek

[11] FLOWBS: Packages.yaml configuration renamed to Package.yaml, configuration in single package is no longer indexed with package key

[FEAT] FLOWS3 (Configuration): Package state configuration will be handled by a special writable configuration source, resolves #3639

[FEAT] FLOWS (Package): Active packages will be read from the package states configuration and activation / deactivation updates the configuration,
resolves #3639

[FIX] FLOWS (Configuration): Fixed YAMLSource saving with comment headers

History

#1 - 2009-06-10 11:00 - Christopher Hlubek
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r2596.

2015-08-03 1/1




